Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List support inbox next

GET/workspaces/{organizationId}/support/inbox/next
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Next ticket

ticketIdstringrequired
userIdstringrequired
404

No unassigned ticket or available agent

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/support/inbox/next' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "ticketId": "string",
  "userId": "string"
}

Was this page helpful?